Package org.eclipse.graphiti.ui.internal.util.gef

## Class MouseWheelHorizontalScrollHandler

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.util.gef.MouseWheelHorizontalScrollHandler

All Implemented Interfaces:
  `org.eclipse.gef.MouseWheelHandler`

    public class MouseWheelHorizontalScrollHandler
    extends java.lang.Object
    implements org.eclipse.gef.MouseWheelHandler

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.MouseWheelHandler

`org.eclipse.gef.MouseWheelHandler.KeyGenerator`

### Field Summary

Fields
`static org.eclipse.gef.MouseWheelHandler` `SINGLETON` The Singleton

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleMouseWheel​(org.eclipse.swt.widgets.Event event, org.eclipse.gef.EditPartViewer viewer)` Horizontally scroll the given viewer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SINGLETON

    public static final org.eclipse.gef.MouseWheelHandler SINGLETON

The Singleton

### Method Detail

#### handleMouseWheel

    public void handleMouseWheel​(org.eclipse.swt.widgets.Event event,
                                 org.eclipse.gef.EditPartViewer viewer)

Horizontally scroll the given viewer.

Specified by:
  `handleMouseWheel` in interface `org.eclipse.gef.MouseWheelHandler`
See Also:
  `MouseWheelHandler.handleMouseWheel(Event, EditPartViewer)`